Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616573 - nm-applet lacks icon
nm-applet lacks icon
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 16:03 EDT by Vytas
Modified: 2013-01-10 01:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 13:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vytas 2010-07-20 16:03:28 EDT
Description of problem:
nm-applet lacks icon

How reproducible:
Login into KDE 4

Steps to Reproduce:
1. look near clock
  
Actual results:
nm-applet lacks icon

Expected results:
nm-applet icon
Comment 1 Jonathan Wakely 2010-07-25 07:50:39 EDT
I was going to report a new bug, but I think this covers my complaint: after upgrading F12 to F13 I no longer have nm-applet in my system tray when using KDE.

The F13 release notes don't give any clue about this. KNetworkManager is not an option as it doesn't have the VPN info that used to be present on the nm-applet menu and it doesn't seem to like running for more than one session at a time.

Please advise how to restore the previous nm-applet to KDE.
Comment 2 Jonathan Wakely 2010-07-25 19:56:35 EDT
Vytas mailed me privately with the answer, I've commented out NotShowIn=KDE in  /etc/xdg/autostart/nm-applet.desktop
Comment 3 Kevin Kofler 2010-07-26 13:40:26 EDT
NetworkManager-gnome was deliberately disabled in KDE to make room for the KDE one.
Comment 4 Vytas 2010-07-26 14:59:16 EDT
But there is no KDE 4.x one too? At least in auto-start after upgrade to 13.
Comment 5 Kevin Kofler 2010-07-26 15:35:27 EDT
There is a KDE one, it's pulled in automatically on fresh installs, but not on updates. "yum install knetworkmanager" will get it for you. (And yes, it's KDE 4, the KDE 3 knetworkmanager is long gone.)
Comment 6 Vytas 2010-07-26 15:56:24 EDT
Thanks.
Comment 7 Rex Dieter 2010-07-26 16:02:06 EDT
Another way of making sure there are no missing default pieces, is to issue:

yum groupinstall kde-desktop
Comment 8 Jonathan Wakely 2010-08-05 12:50:37 EDT
as I said earlier, knetworkmanager doesn't show the VPN I had configured, but no matter, I've re-enabled nm-applet which works fine

Note You need to log in before you can comment on or make changes to this bug.